Subject: Re: [PATCH v2 1/1] doc: format-patch: don't use origin as a branch name

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Aug 2014 11:23:39 -0700

Junio C Hamano <[email-masked]> writes:

> Compared to that, what the user's local 'master' has is much less
> relevant.  For one thing, if a more recent commit that is on the
> remote repository is missing on 'origin/master' because you haven't
> fetched recently, by definition that commit will not be on your
> 'master' either, so you have the same staleness issue to the exact
> degree.  Even worse, when you are developing a topic to upstream, it

clarification.  I used "to upstream" as a verb to mean "sending the
work you did to be applied".

> is a good practice to merge your topic to your own 'master' to check
> it with the wider project codebase that is more recent than where
> your topic earlier forked from, and it makes little sense to tell
> 'exclude what I have on my master' to format-patch when extracting
> changes to upstream out of such a topic.  You send what the other
> side has, not what you do not have on your local 'master' branch.

and I have a stupid typo here; obviously I should have typed: You
send what the other side "does not have".